Bug 148012 - [maintainer update] net/ucarp: cosmetic fixes.
Summary: [maintainer update] net/ucarp: cosmetic fixes.
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Wesley Shields
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-06-20 17:30 UTC by Alexey Degtyarev
Modified: 2010-07-22 14:47 UTC (History)
0 users

See Also:


Attachments
ucarp.patch (9.38 KB, patch)
2010-06-20 17:30 UTC, Alexey Degtyarev
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Alexey Degtyarev 2010-06-20 17:30:05 UTC
This will update net/ucarp port with the following (mostly cosmetic) changes:

- ucarp rc-script updated:

  - Use checkyesno() from rc.subr(8) to check boolean variables;

  - Use warn() and err() from rc.subr(8) to raise warnings and errors;

  - Introduce new tunes: ucarp_passfile, ucarp_xparam;

  - Some other cosmetic fixes;

- Add UCARP_SCRIPTS option to allow installation of example scripts to manage
  virtual IP with UCARP. They are intented to run when UCARP changes its state
  from BACKUP to MASTER and vise versa.

The update shouldn't break anything so I believe it could be commited ASAP
while ports tree freeze is still in effect.
Comment 1 Wesley Shields freebsd_committer 2010-07-21 20:48:51 UTC
Responsible Changed
From-To: freebsd-ports-bugs->wxs

I'll take it.
Comment 2 dfilter service freebsd_committer 2010-07-22 14:22:08 UTC
wxs         2010-07-22 13:21:55 UTC

  FreeBSD ports repository

  Modified files:
    net/ucarp            Makefile 
    net/ucarp/files      ucarp.in 
  Added files:
    net/ucarp/files      patch-examples:bsd:vip-down.sh 
                         patch-examples:bsd:vip-up.sh 
  Log:
  Install ucarp management scripts.
  Cosmetic fixes to RC script and add support for ucarp_passfile and
  ucarp_xparam.
  
  PR:             ports/148012
  Submitted by:   Alexey V.Degtyarev <alexey@renatasystems.org> (maintainer)
  
  Revision  Changes    Path
  1.11      +15 -1     ports/net/ucarp/Makefile
  1.1       +24 -0     ports/net/ucarp/files/patch-examples:bsd:vip-down.sh (new)
  1.1       +24 -0     ports/net/ucarp/files/patch-examples:bsd:vip-up.sh (new)
  1.3       +108 -60   ports/net/ucarp/files/ucarp.in
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Wesley Shields freebsd_committer 2010-07-22 14:47:38 UTC
State Changed
From-To: open->closed

Committed. Thanks!